%define pypi_name Babel

Name:		python-babel
Version:	2.10.3
Release:	%mkrel 1
Summary:	Library for internationalizing Python applications

Group:		Development/Python
License:	BSD
URL:		http://babel.pocoo.org/
Source0:	%{pypi_source}
BuildArch:	noarch

%description
Babel is composed of two major parts:

* tools to build and work with gettext message catalogs

* a Python interface to the CLDR (Common Locale Data Repository),
  providing access to various locale display names, localized number
  and date formatting, etc.

%package -n python3-babel
Summary:        Library for internationalizing Python applications
Group:          Development/Python
%{?python_provide:%python_provide python3-babel}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytz)
Provides:       pybabel = %{version}-%{release}

%description -n python3-babel
Babel is composed of two major parts:

* tools to build and work with gettext message catalogs

* a Python interface to the CLDR (Common Locale Data Repository),
  providing access to various locale display names, localized number
  and date formatting, etc.

%prep
%autosetup -p1 -n Babel-%{version}

# drop bundled egg-info
rm -rf Babel.egg-info/

# drop shebang
sed -i -e '/^#!/,1d' babel/messages/frontend.py

%build
%py3_build

%install
%py3_install

%files -n python3-babel
%doc AUTHORS
%license LICENSE
%{python3_sitelib}/Babel-%{version}-py*.egg-info
%{python3_sitelib}/babel
%{_bindir}/pybabel


%changelog
* Thu Sep 29 2022 neoclust <neoclust> 2.10.3-1.mga9
+ Revision: 1893161
- New  version 2.10.3

* Thu Mar 24 2022 umeabot <umeabot> 2.9.1-3.mga9
+ Revision: 1824651
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 2.9.1-2.mga9
+ Revision: 1772048
- rebuild for python3.10
- use %%pypi_source macro

* Mon Jun 07 2021 daviddavid <daviddavid> 2.9.1-1.mga9
+ Revision: 1730042
- new version: 2.9.1, fixes CVE-2021-20095 (mga#29011)

* Sun Mar 14 2021 wally <wally> 2.9.0-2.mga9
+ Revision: 1702559
- rebuild for python 3.9

* Wed Dec 30 2020 luigiwalser <luigiwalser> 2.9.0-1.mga8
+ Revision: 1665905
- 2.9.0
- remove upstreamed patches

* Fri Dec 04 2020 luigiwalser <luigiwalser> 2.8.0-1.mga8
+ Revision: 1652360
- 2.8.0
- update source URL
- remove pytz patch (fixed upstream)
- add build fixes from opensuse

* Sun Feb 16 2020 umeabot <umeabot> 2.6.0-5.mga8
+ Revision: 1530922
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 wally <wally> 2.6.0-4.mga8
+ Revision: 1437825
- rebuild for python3.8

* Sat Aug 31 2019 wally <wally> 2.6.0-3.mga8
+ Revision: 1435946
- drop python2 support

* Sat Jan 05 2019 wally <wally> 2.6.0-2.mga7
+ Revision: 1349632
- rebuild for python3.7
- fix python2 pkg requires

* Mon Nov 26 2018 kekepower <kekepower> 2.6.0-1.mga7
+ Revision: 1335185
- Update to version 2.6.0

* Thu Sep 20 2018 umeabot <umeabot> 2.5.3-2.mga7
+ Revision: 1288256
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 kekepower <kekepower> 2.5.3-1.mga7
+ Revision: 1210785
- Update to version 2.5.3
- Renamed python-babel to python2-babel

* Fri Aug 04 2017 tv <tv> 2.3.4-3.mga7
+ Revision: 1134582
- rebuild for new python

* Thu May 12 2016 philippem <philippem> 2.3.4-2.mga6
+ Revision: 1014411
- add remove-pytz-version patch

* Thu May 12 2016 philippem <philippem> 2.3.4-1.mga6
+ Revision: 1014399
- update to 2.3.4

* Fri Feb 19 2016 umeabot <umeabot> 1.3-10.mga6
+ Revision: 970493
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 tv <tv> 1.3-9.mga6
+ Revision: 886707
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.3-8.mga5
+ Revision: 741402
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.3-7.mga5
+ Revision: 728093
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3-6.mga5
+ Revision: 687896
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.3-5.mga5
+ Revision: 629724
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.3-4.mga5
+ Revision: 628466
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.3-3.mga4
+ Revision: 543035
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.3-2.mga4
+ Revision: 498148
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Oct 08 2013 philippem <philippem> 1.3-1.mga4
+ Revision: 493729
- Update to 1.3
- add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0.9.6-2.mga3
+ Revision: 378490
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 sander85 <sander85> 0.9.6-1.mga3
+ Revision: 327312
- imported package python-babel

